### A free/open-source library for quantitative finance

Public Member Functions
CallableBondConstantVolatility Class Reference

Constant callable-bond volatility, no time-strike dependence. More...

`#include <ql/experimental/callablebonds/callablebondconstantvol.hpp>`

Inheritance diagram for CallableBondConstantVolatility:
[legend]

List of all members.

## Public Member Functions

| CallableBondConstantVolatility (const Date &referenceDate, Volatility volatility, const DayCounter &dayCounter)
| CallableBondConstantVolatility (const Date &referenceDate, const Handle< Quote > &volatility, const DayCounter &dayCounter)
| CallableBondConstantVolatility (Natural settlementDays, const Calendar &, Volatility volatility, const DayCounter &dayCounter)
| CallableBondConstantVolatility (Natural settlementDays, const Calendar &, const Handle< Quote > &volatility, const DayCounter &dayCounter)
TermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Date | maxDate () const
| the latest date for which the curve can return values

## CallableBondConstantVolatility interface

const Period & | maxBondTenor () const
| the largest length for which the term structure can return vols
Time | maxBondLength () const
| the largest bondLength for which the term structure can return vols
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
Volatility | volatilityImpl (Time, Time, Rate) const
| implements the actual volatility calculation in derived classes
boost::shared_ptr< SmileSection > | smileSectionImpl (Time optionTime, Time bondLength) const
| return smile section
Volatility | volatilityImpl (const Date &, const Period &, Rate) const

## Detailed Description

Constant callable-bond volatility, no time-strike dependence.